## com.thingmagic
Class ReaderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.thingmagic.ReaderException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FeatureNotSupportedException, ReaderCodeException, ReaderCommException, ReaderFatalException

    public class ReaderException

extends java.lang.Exception

Thrown when an error occurs in the Reader interface.

See Also:
  Serialized Form

Method Summary
`java.util.List<TagReadData>` `getTagReads()`
`void` `setTagReads(java.util.List<TagReadData> tagReads)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTagReads

    public java.util.List<TagReadData> getTagReads()

### setTagReads

    public void setTagReads(java.util.List<TagReadData> tagReads)